Bug 1242989 - Allow run "overcloud node delete" with heat templates directly (w/o tuskar)
Summary: Allow run "overcloud node delete" with heat templates directly (w/o tuskar)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: Director
Assignee: Jan Provaznik
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-14 14:11 UTC by Jan Provaznik
Modified: 2015-08-05 13:59 UTC (History)
9 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-36.el7ost openstack-tripleo-common-0.0.1.dev6-1.git49b57eb.el7ost openstack-tripleo-heat-templates-0.8.6-39.el7ost
Doc Type: Enhancement
Doc Text:
This release allow the use of Heat templates directly when deleting overcloud nodes. You can now run the "openstack overcloud node delete" command with the "--templates" parameter if the overcloud was deployed without Tuskar.
Clone Of:
Environment:
Last Closed: 2015-08-05 13:59:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 239944 None None None Never
OpenStack gerrit 199576 None None None Never
OpenStack gerrit 202054 None None None Never
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Jan Provaznik 2015-07-14 14:11:09 UTC
Description of problem:
"openstack overcloud node delete" currently works only with tuskar. It should allow to use heat templates directly same as "openstack overcloud deploy" command.

Related documentation patch which describes workaround is:
https://bugzilla.redhat.com/show_bug.cgi?id=1235995

Comment 3 Jan Provaznik 2015-07-15 14:39:52 UTC
upstream patches:
https://review.openstack.org/#/c/202054/
https://review.gerrithub.io/#/c/239944/

Comment 4 Jan Provaznik 2015-07-15 14:58:06 UTC
Also this upstream patch for THT is needed:
https://review.openstack.org/#/c/199576/

Comment 7 errata-xmlrpc 2015-08-05 13:59:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.